#include "TArtBeamPara.h" 
#include "TArtCore.h"

//__________________________________________________________
TArtBeamPara::TArtBeamPara()  {
}

//__________________________________________________________
TArtBeamPara::TArtBeamPara(Int_t i, TArtRIPSPara *r, TArtTOFPara *t, char *dename)
  :id(i)
{

  forward_rips = r;
  backward_rips = r;
  tof = t;
  deltae_name = dename;
}

//__________________________________________________________
TArtBeamPara::TArtBeamPara(Int_t i, TArtRIPSPara* fr, TArtRIPSPara *br, TArtTOFPara *t, char *dename)
  :id(i)
{
  forward_rips = fr;
  backward_rips = br;
  tof = t;
  deltae_name = dename;
}

//__________________________________________________________
TArtBeamPara::~TArtBeamPara()  {
}

//__________________________________________________________
Int_t TArtBeamPara::GetNumRIPS()  {

  Int_t fid = forward_rips->GetID();
  Int_t bid = backward_rips->GetID();

  return fid == bid ? 1 : 2;

}


